Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.mathutil.matrices.decomposition
Class CholeskyDecomposition

    java.lang.Object
      org.encog.mathutil.matrices.decomposition.CholeskyDecomposition

    public class CholeskyDecomposition

extends Object

Cholesky Decomposition. For a symmetric, positive definite matrix A, the Cholesky decomposition is an lower triangular matrix L so that A = L*L'. If the matrix is not symmetric or positive definite, the constructor returns a partial decomposition and sets an internal flag that may be queried by the isSPD() method. This file based on a class from the public domain JAMA package. http://math.nist.gov/javanumerics/jama/

Constructor Summary
`CholeskyDecomposition(Matrix matrix)` Cholesky algorithm for symmetric and positive definite matrix.

Method Summary
`Matrix` | `getL()` Return triangular factor.
`boolean` | `isSPD()` Is the matrix symmetric and positive definite?
`Matrix` | `solve(Matrix b)` Solve A*X = B.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CholeskyDecomposition

    public CholeskyDecomposition(Matrix matrix)

  Cholesky algorithm for symmetric and positive definite matrix.

  Parameters:
    `matrix` - Square, symmetric matrix.

Method Detail

### isSPD

    public final boolean isSPD()

  Is the matrix symmetric and positive definite?

  Returns:
    true if A is symmetric and positive definite.

### getL

    public final Matrix getL()

  Return triangular factor.

  Returns:
    L

### solve

    public final Matrix solve(Matrix b)

  Solve A*X = B.

  Parameters:
    `b` - A Matrix with as many rows as A and any number of columns.
  Returns:
    X so that L*L'*X = b.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.